Bug 1003774 - Implement test coverage for Audit Log
Implement test coverage for Audit Log
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging, Security (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: GA
: EAP 6.2.0
Assigned To: Ondrej Lukas
Ondrej Lukas
Russell Dickenson
:
Depends On: 999673
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 03:41 EDT by Ondrej Lukas
Modified: 2014-10-25 08:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-29 08:12:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Lukas 2013-09-03 03:41:58 EDT
A Common Criteria Requirement is the ability to configure an audit log of management operations. The design note in the Eng Notes satisfies the criteria.
We will provide audit logging via a logging subsystem appender, similarly to EAP 5.
– Resistance to message deletion/alteration will be provided because it is possible for the user to configure an appender that uses syslog to ensure a copy of the log is in a location owned by a separate process or even in a separate server. JBoss Logging supports a syslog appender. 
– Non-repudidation of logging messages will be possible by configuring a syslog appender that uses TLS. EAP engineering will provide such an appender as part of this task-- This facility will be limited to management operation logging; not for EE application event logging.
– See https://docs.google.com/document/d/1sR1WjX7UDW-H1f4TJO4Qsd0u8p_Mjew7PDRlVgXQ05Q/edit for an analysis of possible features in an audit logging solution. Our intent is to deliver items 1 and 2 in that list.

We need test coverage for this feature.
Comment 1 Josef Cacek 2014-07-29 08:12:58 EDT
This issue reported against older version, cannot be reproduced against latest 6.3.0. bits, which means it was fixed earlier. Therefore, we are closing this bug. Thank you for reporting this issue.

Note You need to log in before you can comment on or make changes to this bug.